package com.iamberry.wechat.core.entity.rent;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.iamberry.wechat.core.entity.PageBean;

/**
 * 分享机器表            实体类
 * 2017年3月9日
 * @author muzx
 *
 */
public class MachineShare implements Serializable{

    /**
     * 
     */
    private static final long serialVersionUID = 6831169630066229865L;

    private Integer shareId;            //id
    private String shareOpenId;         //分享用户openid
    private String shareUserNickName;   //分享人微信昵称
    private String shareReOpenid;       //领取用户openid
    private String shareReUserNickName; //领取人微信昵称
    
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date shareTime;             //生成时间
    private String shareCode;           //激活码
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private Date shareBindTime;         //绑定时间
    private PageBean page = new PageBean(); //分页
    public Integer getShareId() {
        return shareId;
    }
    public void setShareId(Integer shareId) {
        this.shareId = shareId;
    }
    public String getShareOpenId() {
        return shareOpenId;
    }
    public void setShareOpenId(String shareOpenId) {
        this.shareOpenId = shareOpenId;
    }
    public String getShareUserNickName() {
        return shareUserNickName;
    }
    public void setShareUserNickName(String shareUserNickName) {
        this.shareUserNickName = shareUserNickName;
    }
    public String getShareReOpenid() {
        return shareReOpenid;
    }
    public void setShareReOpenid(String shareReOpenid) {
        this.shareReOpenid = shareReOpenid;
    }
    public String getShareReUserNickName() {
        return shareReUserNickName;
    }
    public void setShareReUserNickName(String shareReUserNickName) {
        this.shareReUserNickName = shareReUserNickName;
    }
    public Date getShareTime() {
        return shareTime;
    }
    public void setShareTime(Date shareTime) {
        this.shareTime = shareTime;
    }
    public String getShareCode() {
        return shareCode;
    }
    public void setShareCode(String shareCode) {
        this.shareCode = shareCode;
    }
    public Date getShareBindTime() {
        return shareBindTime;
    }
    public void setShareBindTime(Date shareBindTime) {
        this.shareBindTime = shareBindTime;
    }
    public PageBean getPage() {
        return page;
    }
    public void setPage(PageBean page) {
        this.page = page;
    }
    @Override
    public String toString() {
        return "MachineShare [shareId=" + shareId + ", shareOpenId="
                + shareOpenId + ", shareUserNickName=" + shareUserNickName
                + ", shareReOpenid=" + shareReOpenid + ", shareReUserNickName="
                + shareReUserNickName + ", shareTime=" + shareTime
                + ", shareCode=" + shareCode + ", shareBindTime="
                + shareBindTime + ", page=" + page + "]";
    }
}
